SRVRecord (dnsjava documentation)
Date: 2013-04-10

org.xbill.DNS

## Class SRVRecord

- java.lang.Object
- - org.xbill.DNS.Record
  - - org.xbill.DNS.SRVRecord

- All Implemented Interfaces:
    Serializable, Cloneable, Comparable

      public class SRVRecord
      extends Record

  Server Selection Record - finds hosts running services in a domain. An SRV record will normally be named _<service>._<protocol>.domain - examples would be _sips._tcp.example.org (for the secure SIP protocol) and _http._tcp.example.com (if HTTP used SRV records)
  Author:
    Brian Wellington
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.xbill.DNS.Record

      `dclass, name, ttl, type`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SRVRecord(Name name, int dclass, long ttl, int priority, int weight, int port, Name target)` Creates an SRV Record from the given data

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Name` | `getAdditionalName()` Returns the name for which additional data processing should be done for this record.
    `int` | `getPort()` Returns the port that the service runs on
    `int` | `getPriority()` Returns the priority
    `Name` | `getTarget()` Returns the host running that the service
    `int` | `getWeight()` Returns the weight

    - ### Methods inherited from class org.xbill.DNS.Record

      `byteArrayFromString, byteArrayToString, compareTo, equals, fromString, fromString, fromWire, getDClass, getName, getRRsetType, getTTL, getType, hashCode, newRecord, newRecord, newRecord, newRecord, rdataToString, rdataToWireCanonical, sameRRset, toString, toWire, toWireCanonical, unknownToString, withName`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SRVRecord

          public SRVRecord(Name name,
                   int dclass,
                   long ttl,
                   int priority,
                   int weight,
                   int port,
                   Name target)

      Creates an SRV Record from the given data
      Parameters:
        `priority` - The priority of this SRV. Records with lower priority are preferred.
        `weight` - The weight, used to select between records at the same priority.
        `port` - The TCP/UDP port that the service uses
        `target` - The host running the service

  - ### Method Detail

    - #### getPriority

          public int getPriority()

      Returns the priority

    - #### getWeight

          public int getWeight()

      Returns the weight

    - #### getPort

          public int getPort()

      Returns the port that the service runs on

    - #### getTarget

          public Name getTarget()

      Returns the host running that the service

    - #### getAdditionalName

          public Name getAdditionalName()

      Description copied from class: `Record`
      Returns the name for which additional data processing should be done for this record. This can be used both for building responses and parsing responses.
      Overrides:
        `getAdditionalName` in class `Record`
      Returns:
        The name to used for additional data processing, or null if this record type does not require additional data processing.